#!/usr/bin/env python

#-----------------------------------------------------------------------
# concord.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import sys
import re

#-----------------------------------------------------------------------

def process_line(line, concordance, re_letters):
    line = line.lower()
    words = re_letters.findall(line)
    for word in words:
        if word in concordance:
            concordance[word] += 1
        else:
            concordance[word] = 1

#-----------------------------------------------------------------------

def main():

    concordance = {}
    re_letters = re.compile(r'[a-z]+')
    for line in sys.stdin:
        process_line(line, concordance, re_letters)
    #for word in concordance:
    #    print('%s: %d' % (word, concordance[word]))
    for word, count in concordance.items():
        print('%s: %d' % (word, count))

#-----------------------------------------------------------------------

if __name__ == '__main__':
    main()
