#!/usr/bin/env python

#-----------------------------------------------------------------------
# testfraction.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

import unittest
import fraction

class FractionTestCase(unittest.TestCase):
    def setUp(self):
        self._f1 = fraction.Fraction(1, 2)
        self._f2 = fraction.Fraction(3, 4)
    def tearDown(self):
        self._f1 = None
        self._f2 = None

class AddTestCase(FractionTestCase):
    def runTest(self):
        sum = self._f1 + self._f2
        expected = fraction.Fraction(5, 4)
        self.assertEqual(sum, expected, 'Incorrect sum')

class SubTestCase(FractionTestCase):
    def runTest(self):
        diff = self._f1 - self._f2
        expected = fraction.Fraction(-1, 4)
        self.assertEqual(diff, expected, 'Incorrect difference')

class MulTestCase(FractionTestCase):
    def runTest(self):
        prod = self._f1 * self._f2
        expected = fraction.Fraction(3, 8)
        self.assertEqual(prod, expected, 'Incorrect product')

class DivTestCase(FractionTestCase):
    def runTest(self):
        quo = self._f1 / self._f2
        expected = fraction.Fraction(2, 3)
        self.assertEqual(quo, expected, 'Incorrect quotient')

class ZeroDenCase(FractionTestCase):
    def runTest(self):
        try:
            fraction.Fraction(1, 0)
            self.fail('Incorrect handling of zero denom')
        except ZeroDivisionError:
            pass

# And many more...

#-----------------------------------------------------------------------

if __name__ == "__main__":
    unittest.main()
